Bug 1994501

Summary: Review Request: libstrophe - An XMPP library for C
Product: [Fedora] Fedora Reporter: Matthieu Saulnier <casper>
Component: Package ReviewAssignee: Petr Menšík <pemensik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, pemensik
Target Milestone: ---Flags: pemensik: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-25 17:16:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1995497, 1996107    

Description Matthieu Saulnier 2021-08-17 12:19:38 UTC
Spec URL: https://fantom.fedorapeople.org/libstrophe.spec
SRPM URL: https://fantom.fedorapeople.org/libstrophe-0.10.1-1.fc33.src.rpm
Description: libstrophe is a minimal XMPP library written in C. It has almost no
external dependencies, only an XML parsing library (expat or libxml
are both supported). It is designed for both POSIX and Windows
systems.

Fedora Account System Username: fantom

Scratch build:
rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=74005273
f35: https://koji.fedoraproject.org/koji/taskinfo?taskID=74005277
f34: https://koji.fedoraproject.org/koji/taskinfo?taskID=74005281

Comment 1 Matthieu Saulnier 2021-08-17 13:12:31 UTC
I fixed the Requires tag in the doc subpackage, and I made new release.

Spec URL: https://fantom.fedorapeople.org/libstrophe.spec
SRPM URL: https://fantom.fedorapeople.org/libstrophe-0.10.1-2.fc33.src.rpm

Scratch build:
rawhide (future f36): https://koji.fedoraproject.org/koji/taskinfo?taskID=74007169
f34: https://koji.fedoraproject.org/koji/taskinfo?taskID=74007178

Comment 2 Matthieu Saulnier 2021-08-19 08:28:58 UTC
I replaced full file names by %%{name} macro in %%files section.

Spec URL: https://fantom.fedorapeople.org/libstrophe.spec
SRPM URL: https://fantom.fedorapeople.org/libstrophe-0.10.1-3.fc33.src.rpm

Scratch build:
rawhide (future f36): https://koji.fedoraproject.org/koji/taskinfo?taskID=74124127
f34: https://koji.fedoraproject.org/koji/taskinfo?taskID=74124129

Comment 3 Petr Menšík 2021-08-23 23:09:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- ldconfig not called in %post and %postun for Fedora 28 and later.
  Note: /sbin/ldconfig called in libstrophe
  See: https://fedoraproject.org/wiki/Changes/Removing_ldconfig_scriptlets
  Replace with %{?ldconfig_scriptlets}, which would expand to nothing for recent releases.
- doc package should ensure proper version of library is installed.
  Required for license file. Requires: %{name} >= %{version}-%{release} might be used,
  but equal would be the best.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "[generated file]", "*No
     copyright* MIT License", "FSF Unlimited License (with Retention) GNU
     General Public License v2.0 or later [generated file]", "GNU General
     Public License v2.0 or later [generated file]", "GNU General Public
     License v3.0 or later", "FSF Unlimited License [generated file]", "MIT
     License [generated file]", "GNU General Public License v2.0 or later",
     "FSF Unlimited License (with Retention) GNU General Public License,
     Version 2", "FSF Unlimited License (with Retention)", "*No copyright*
     Public domain". 22 files have unknown license. Detailed output of
     licensecheck in
     /home/reviewer/fedora/rawhide/1994501-libstrophe/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
     %{?ldconfig} should be used instead of %post -p /sbin/ldconfig
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libstrophe-0.10.1-3.fc36.x86_64.rpm
          libstrophe-devel-0.10.1-3.fc36.x86_64.rpm
          libstrophe-doc-0.10.1-3.fc36.noarch.rpm
          libstrophe-debuginfo-0.10.1-3.fc36.x86_64.rpm
          libstrophe-debugsource-0.10.1-3.fc36.x86_64.rpm
          libstrophe-0.10.1-3.fc36.src.rpm
libstrophe.x86_64: W: spelling-error %description -l en_US libxml -> libel
libstrophe-doc.noarch: E: explicit-lib-dependency libstrophe
libstrophe.src: W: spelling-error %description -l en_US libxml -> libel
6 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libstrophe-debuginfo-0.10.1-3.fc36.x86_64.rpm
          libstrophe-devel-debuginfo-0.10.1-3.fc36.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/strophe/libstrophe/releases/download/0.10.1/libstrophe-0.10.1.tar.xz :
  CHECKSUM(SHA256) this package     : cf1a363ae6df88ccd97292d4e859b7680d8bac79347b53a9dc8f095456b7a02d
  CHECKSUM(SHA256) upstream package : cf1a363ae6df88ccd97292d4e859b7680d8bac79347b53a9dc8f095456b7a02d


Requires
--------
libstrophe (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libexpat.so.1()(64bit)
    libresolv.so.2()(64bit)
    libssl.so.1.1()(64bit)
    libssl.so.1.1(OPENSSL_1_1_0)(64bit)
    rtld(GNU_HASH)

libstrophe-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    /usr/bin/sh
    libc.so.6()(64bit)
    libstrophe(x86-64)
    libstrophe.so.0()(64bit)
    pkgconfig(expat)
    pkgconfig(openssl)
    rtld(GNU_HASH)

libstrophe-doc (rpmlib, GLIBC filtered):
    libstrophe

libstrophe-debuginfo (rpmlib, GLIBC filtered):

libstrophe-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libstrophe:
    libstrophe
    libstrophe(x86-64)
    libstrophe.so.0()(64bit)

libstrophe-devel:
    libstrophe-devel
    libstrophe-devel(x86-64)
    pkgconfig(libstrophe)

libstrophe-doc:
    libstrophe-doc

libstrophe-debuginfo:
    debuginfo(build-id)
    libstrophe-debuginfo
    libstrophe-debuginfo(x86-64)
    libstrophe.so.0.0.0-0.10.1-3.fc36.x86_64.debug()(64bit)

libstrophe-debugsource:
    libstrophe-debugsource
    libstrophe-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1994501
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Ocaml, Java, fonts, R, PHP, Python, Haskell, SugarActivity, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Petr Menšík 2021-08-24 08:58:11 UTC
Because all MUST items are fine, granting review+. I would like issues with ldconfig and doc versioning fixed, but I dont think it blocks review.

Thank you for the package, use "fedpkg request-repo libstrophe 1994501" command to continue.

Comment 5 Matthieu Saulnier 2021-08-25 15:30:54 UTC
Thanks! I made release with your remarks.

Spec URL: https://fantom.fedorapeople.org/libstrophe.spec
SRPM URL: https://fantom.fedorapeople.org/libstrophe-0.10.1-4.fc33.src.rpm

copr build:
rawhide/f34/f33: https://copr.fedorainfracloud.org/coprs/fantom/profanity/build/2661726/

Comment 6 Gwyn Ciesla 2021-08-25 16:31:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libstrophe

Comment 7 Fedora Update System 2021-08-25 17:12:07 UTC
FEDORA-2021-8bf61f81bb has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8bf61f81bb

Comment 8 Fedora Update System 2021-08-25 18:37:47 UTC
FEDORA-2021-8bf61f81bb has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-8bf61f81bb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8bf61f81bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-24 20:08:21 UTC
FEDORA-2021-8bf61f81bb has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.